# Cohost Userscripts

Various userscripts for Cohost. Requires a userscript manager, such as
[ViolentMonkey].

These are updated on an "as I have the energy to update them" basis, so I can't
make any promises about their functionality. Feel free to send me [an ask] on
Cohost or an email, although I might not respond.

# About the Userscripts

## winterify: Add a snowy background to your Cohost

That's it! The file is about 3KiB because I embedded a GIF in it. that's the
snow flurry quality guarantee 😎

## Cohost Following list tracker

Adds a little "unread" dot to users you're following who have unread posts in
the [Following page]. Since I wanted to avoid making API calls for multiple
reasons, there are a couple caveats:

* If the script has never "seen" the user you're following before, it avoids
  putting a dot next to them. As a result, people who you newly followed or who
  weren't loaded into the list previously won't show an unread dot.
* Detecting unread posts on refresh is liable to break if @staff sneezes in the
  "refresh" button's general direction.

[ViolentMonkey]: https://violentmonkey.github.io/
[an ask]: https://cohost.org/flurry/ask
[Following page]: https://cohost.org/rc/project/following
